SIGHOLD(3)

NAME
sighold - manipulate current signal mask

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sighold(int sig);

DESCRIPTION
This interface is made obsolete by sigprocmask(2).

The sighold() function adds the signal sig to the calling process' signal mask.

RETURN VALUES
If successful, the sighold() function returns 0. Otherwise -1 is returned and errno is set to indicate the error.

ERRORS
The sighold() function will fail if:

[EINVAL]
    The argument sig is not a valid signal number.

SEE ALSO
sigprocmask(2), sigrelse(3)

STANDARDS
The sighold() function conforms to p1003.1-2001. It was however marked as obsolete in the p1003.1-2008 revision of the standard.